Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515922 - Mismatch version qt 5.9.2 vs qtgamepad 5.9.0
Summary: Mismatch version qt 5.9.2 vs qtgamepad 5.9.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtgamepad
Version: 27
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 15:45 UTC by Andrea
Modified: 2017-12-10 05:03 UTC (History)
3 users (show)

Fixed In Version: qt5-qtgamepad-5.9.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:03:46 UTC


Attachments (Terms of Use)

Description Andrea 2017-11-21 15:45:15 UTC
Description of problem:

In Fedora 27 qt5-qtgamepad 5.9.0 is incompatible with qt 5.9.2

Version-Release number of selected component (if applicable):

qt5-qtgamepad-5.9.0-1.fc27.x86_64
qt5-qtbase-5.9.2-4.fc27.x86_64

How reproducible:

Any application attempting to use qtgamepad would crash.
In my case, I am developing it, and this line

QGamepadManager* manager = QGamepadManager::instance();

crashes, because qt checks for version of objects.
In qobject.cpp line 214 it checks if the library version matches the source code version.

It then crashes with no message but in the debugger I could see

"Cannot mix incompatible Qt library (version 0x%x) with this library (version 0x%x)"

and a check with rpm -qa confirmed the case.

In the rpm.spec there should be a requirement of an exact matching version of qt.

We need 5.9.2 of qt5-qtgamepad.

Comment 1 Andrea 2017-11-21 15:52:49 UTC
I have rebuilt the rpm using 5.9.2 sources and the problem has been fixed.

It really needs a precise version match, but I think this applies to every part of Qt creating a QObjectPrivate which might be really everything.

For info this is the relevant code

    if (Q_UNLIKELY(version != QObjectPrivateVersion))
        qFatal("Cannot mix incompatible Qt library (version 0x%x) with this library (version 0x%x)",
                version, QObjectPrivateVersion);


And QT_VERSION is

#define QT_VERSION      QT_VERSION_CHECK(QT_VERSION_MAJOR, QT_VERSION_MINOR, QT_VERSION_PATCH)

So all 3 numbers must match.

Andrea

Comment 2 Rex Dieter 2017-11-21 16:07:29 UTC
<nod>, I can make fixed builds and submit an update today.

Comment 3 Fedora Update System 2017-11-21 16:15:28 UTC
qt5-qtgamepad-5.9.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b5e0a705c

Comment 4 Fedora Update System 2017-11-21 16:16:52 UTC
qt5-qtgamepad-5.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cdd5bc16cd

Comment 5 Andrea 2017-11-21 16:35:43 UTC
looks good

Comment 6 Fedora Update System 2017-11-22 06:33:44 UTC
qt5-qtgamepad-5.9.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b5e0a705c

Comment 7 Fedora Update System 2017-11-22 11:09:56 UTC
qt5-qtgamepad-5.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cdd5bc16cd

Comment 8 Fedora Update System 2017-12-09 22:24:39 UTC
qt5-qtgamepad-5.9.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-12-10 05:03:46 UTC
qt5-qtgamepad-5.9.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.